Package net.shibboleth.idp.attribute.resolver.dc.http

# Interface HTTPSearch

All Superinterfaces:
  `ExecutableSearch`

public interface HTTPSearch extends ExecutableSearch
An HTTP request that returns attribute data.

## Method Summary

Modifier and Type
Method
Description
`Map<String,IdPAttribute>`
`execute(org.apache.hc.client5.http.classic.HttpClient client, HttpClientSecurityParameters securityParameters, HTTPResponseMappingStrategy mappingStrategy)`
The abstraction that will contact the service and obtain results.

### Methods inherited from interface net.shibboleth.idp.attribute.resolver.dc.ExecutableSearch

`getResultCacheKey`

## Method Details

### execute

@Nonnull Map<String,IdPAttribute> execute(@Nonnull org.apache.hc.client5.http.classic.HttpClient client, @Nullable HttpClientSecurityParameters securityParameters, @Nonnull HTTPResponseMappingStrategy mappingStrategy) throws IOException
The abstraction that will contact the service and obtain results.

Parameters:
  `client` - the HTTP client
  `securityParameters` - client security settings
  `mappingStrategy` - response mapping strategy
Returns:
  attribute results
Throws:
  `IOException` - if an error occurs